prettyprinter-1.6.2: A modern, easy to use, well-documented, extensible pretty-printer.

Safe Haskell | Safe
Language | Haskell2010

Data.Text.Prettyprint.Doc.Render.ShowS

Description

Deprecated: Use Data.Text.Prettyprint.Doc.Render.String instead

Synopsis

- renderShowS :: SimpleDocStream ann -> ShowS

# Documentation

renderShowS :: SimpleDocStream ann -> ShowS Source #

Render a `SimpleDocStream` to a `ShowS`, useful to write `Show` instances based on the prettyprinter.

    instance Show MyType where
        showsPrec _ = renderShowS . layoutPretty defaultLayoutOptions . pretty